- include_role:
    name: commons
    tasks_from: helpers/rolebinding.yaml
  vars:
    rb_kind: ClusterRole
    rb_name: "medusa_{{ namespace }}_default"
    rb_namespace: "{{ buildns }}"
    rb_role: system:image-puller
    rb_subject: default
    rb_subjkind: ServiceAccount
    rb_subjnamespace: "{{ namespace }}"
  when:
  - k8s_flavor == 'openshift'
  - opsperator_images_registry is match(cluster_domain)
